summaryrefslogtreecommitdiff
path: root/devtools
diff options
context:
space:
mode:
authorBernd Zeimetz <bernd@bzed.de>2010-08-31 22:21:16 +0200
committerBernd Zeimetz <bernd@bzed.de>2010-08-31 22:21:16 +0200
commita20da0b5330347ae4acba375fc8c41c933896d4b (patch)
tree314f0db28b1290f331656fe4614ebcd9ab07358a /devtools
parent60938a487bfc0a9361996f8660dc93bf2e10cec8 (diff)
downloadgpsd-a20da0b5330347ae4acba375fc8c41c933896d4b.tar.gz
Move gpsd-debian-regressions.sh to devtools.
Diffstat (limited to 'devtools')
-rw-r--r--devtools/README5
-rwxr-xr-xdevtools/gpsd-debian-regressions.sh21
2 files changed, 26 insertions, 0 deletions
diff --git a/devtools/README b/devtools/README
index 31a703b4..bbf3dd3f 100644
--- a/devtools/README
+++ b/devtools/README
@@ -46,6 +46,11 @@ The files prefixed with flock are the scripts, data files, and
documentation for the flock-test suite. Read flock-instructions for
explanation.
+== gpsd-debian-regressions.sh ==
+
+Retrieves the latest build logs from Debian's buildds and extracts a
+list of failed regression tests, sorted by architecture.
+
== leapsecond.py ==
Gets the current leap-second correction forom IERS and/or the USNO.
diff --git a/devtools/gpsd-debian-regressions.sh b/devtools/gpsd-debian-regressions.sh
new file mode 100755
index 00000000..0ffc1572
--- /dev/null
+++ b/devtools/gpsd-debian-regressions.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# This file is Copyright (c)2010 by the GPSD project
+# BSD terms apply: see the file COPYING in the distribution root for details.
+
+set -e
+
+if [ ! -x /usr/bin/getbuildlog ]; then
+ echo 'Please install the devscripts package!'
+ exit 1
+fi
+
+TMPDIR=`mktemp -d`
+OLDPWD=`pwd`
+
+cd ${TMPDIR}
+getbuildlog gpsd last 1>/dev/null 2>&1
+grep -- '--- ./test' * | sed 's,^gpsd_[^_]*_\([^.]*\).*\./test/\([^.]*\).*,\1 \2,' | sort -u
+cd ${OLDPWD}
+rm -rf ${TMPDIR}
+